/*
 * Created on 04 mai. 2004 by the Message Center Team
 *
 */
package mc.formgenerator.bonita;

import java.util.HashMap;

/**
 * @author sempereb
 *
 */
public class DataActivity extends DataProcess {

	/**
	 * The name of the project to which it belongs
	 */
	private String projectName;
	
	
	
	
	
	/**
	 * Default class constructor
	 */
	public DataActivity(){
	}
	
	
	
	

	/**
	 * Class constructor with the attributes setting.
	 * @param theProjectName the process name of the new instance.
	 * @param theActivityName the activity name of the new instance.
	 * @param table the activity properties of the new instance.
	 */
	public DataActivity(String theProjectName, String theActivityName, HashMap table) {
		
		//Parent constructor
		super(theActivityName, table);
		
		//set the project name
		this.setProjectName(theProjectName);
	}
		
		
		
		
	/**
	 * Initializes the projectName attribute
	 * @param theProjectName the name of the project to which it belongs
	 */
	public void setProjectName(String theProjectName) {
		
		this.projectName = theProjectName;
	}




	/**
	 * Gets the projectName attribute
	 * @return the content of the projectName attribute
	 */
	public String getProjectName() {
		
		return this.projectName;
	}	
}
