<?xml version="1.0" encoding="UTF-8"?>
<!-- created on 11 mai 2004	-->
<!-- DESCRIPTION
	cette feuille de style contient la  relation entre les éléments du fichier xml et leur représentation XFORMS

	old code : xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xmlns:xforms="http://www.w3.org/2002/xforms"
-->
<xsl:stylesheet version="1.0" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xf="http://www.w3.org/2002/xforms" xmlns:xhtml="http://www.w3.org/2002/06/xhtml2" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	>

	<!--____________________________________________________________________ GESTION DES TAGS XFORMS______________________________ -->
	<!--  -->
	<xsl:template name="look">
		<!-- le type de l'élément -->
		<xsl:param name="type"/>
		<!-- chemin de l'élément (par rapport à position dans l'arborescence xml -->
		<xsl:param name="reference"/>

		<!-- cas pour chaque type élément : on associe sa correspondance xforms -->
		<xsl:choose>


			<xsl:when test="$reference='/*[1]/*[1]' and name(current())='name'">
				<input value="{current()}" disabled="disabled" style="width:100%"/>
			</xsl:when>

			<xsl:when test="$reference='/*[1]/*[3]' and name(current())='nameProject'">
				<input value="{current()}" disabled="disabled" style="width:100%"/>
			</xsl:when>

			<!-- aucun type n'est précisé ou le nom du tag n'est pas traité spécifiquement-->
			<xsl:otherwise>
				<xf:input ref="{$reference}"/>
			</xsl:otherwise>

		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
