package hero.util;

import org.objectweb.jonas.service.ServiceException;

/**
*
* Bonita
* Copyright (C) 1999 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
*
--------------------------------------------------------------------------
* $Id: BonitaConfigServiceMBean.java,v 1.2 2004/11/29 12:29:48 mvaldes Exp $
*
--------------------------------------------------------------------------
*/
public interface BonitaConfigServiceMBean {
		
	public boolean getProcessJMS(String projectName) throws ServiceException;
	public boolean getProcessLog(String projectName) throws ServiceException;
	public boolean getProcessTrace(String projectName) throws ServiceException;
	public String getProcessLogLevel(String projectName) throws ServiceException;
	public String getProcessTraceLevel(String projectName) throws ServiceException;
	public String getProcessHistoric(String projectName) throws ServiceException;
	
	public void setProcessJMS(String projectName, boolean value) throws ServiceException;	
	public void setProcessLog(String projectName, boolean value) throws ServiceException;
	public void setProcessTrace(String projectName, boolean value) throws ServiceException;
	public void setProcessLogLevel(String projectName, String value) throws ServiceException;
	public void setProcessTraceLevel(String projectName, String value) throws ServiceException;
	public void setProcessHistoric(String projectName, String value) throws ServiceException;

	public void updateJMS(boolean value) throws ServiceException;	
	public void updateLog(boolean value) throws ServiceException;
	public void updateTrace(boolean value) throws ServiceException;
	public void updateLogLevel(String value) throws ServiceException;
	public void updateTraceLevel(String value) throws ServiceException;
	public void updateHistoric(String value) throws ServiceException;
	
	
}
